接口
认证
Authorization: Bearer <jwt> 或 X-API-Key <sk_...>。最小角色:viewer。
路径参数
string
required
工作空间 id。
string
required
仓库 id。
查询参数
string
required
仓库内文件相对路径。
响应
string
文件源码内容。
Documentation Index
Fetch the complete documentation index at: /llms.txt
Use this file to discover all available pages before exploring further.
curl "https://memo.ariacompute.cn/v1/workspaces/ws_01a2b3c4d5e6/code-repos/repo_01a2b3c4d5e6/files?path=internal/api/api.go" \
-H "Authorization: Bearer <jwt>"
{
"content": "package api\n\nimport (\n\t\"github.com/gin-gonic/gin\"\n)\n\n// RegisterRoutes ...\n"
}
通过 GET /v1/workspaces/:workspace_id/code-repos/:repo_id/files 读取仓库内某文件的源码。最小角色 viewer。
curl "https://memo.ariacompute.cn/v1/workspaces/ws_01a2b3c4d5e6/code-repos/repo_01a2b3c4d5e6/files?path=internal/api/api.go" \
-H "Authorization: Bearer <jwt>"
{
"content": "package api\n\nimport (\n\t\"github.com/gin-gonic/gin\"\n)\n\n// RegisterRoutes ...\n"
}
GET /v1/workspaces/:workspace_id/code-repos/:repo_id/files
Authorization: Bearer <jwt> 或 X-API-Key <sk_...>。最小角色:viewer。
curl "https://memo.ariacompute.cn/v1/workspaces/ws_01a2b3c4d5e6/code-repos/repo_01a2b3c4d5e6/files?path=internal/api/api.go" \
-H "Authorization: Bearer <jwt>"
{
"content": "package api\n\nimport (\n\t\"github.com/gin-gonic/gin\"\n)\n\n// RegisterRoutes ...\n"
}
Was this page helpful?